# Generated by Django 4.2.3 on 2023-11-30 14:29

import core.models.validator
from django.db import migrations, models
import django.db.models.deletion


class Migration(migrations.Migration):

    dependencies = [
        ("core", "0051_repository_readme_url"),
    ]

    operations = [
        migrations.CreateModel(
            name="RepositoryValidatorReport",
            fields=[
                (
                    "report",
                    models.OneToOneField(
                        db_column="validator_report_id",
                        on_delete=django.db.models.deletion.CASCADE,
                        primary_key=True,
                        related_name="+",
                        serialize=False,
                        to="core.validatorreport",
                    ),
                ),
                ("is_latest", models.BooleanField(default=False)),
                (
                    "repository",
                    core.models.validator.ForeignValidatorReport(
                        on_delete=django.db.models.deletion.CASCADE,
                        related_name="validator_reports",
                        to="core.repository",
                    ),
                ),
            ],
            options={
                "abstract": False,
            },
        ),
    ]
